Loading...
Searching...
No Matches
common_vty.c File Reference

OpenBSC VTY common helpers. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/vty/telnet_interface.h>`
`#include <osmocom/vty/command.h>`
`#include <osmocom/vty/buffer.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/gprs/gprs_msgb.h>`
`#include "common_vty.h"`

## Functions

int | gprs_log_filter_fn (const struct log_context *ctx, struct log_target *tar)

## Variables

int | DNS

## Detailed Description

OpenBSC VTY common helpers.

## Function Documentation

## gprs_log_filter_fn()

int gprs_log_filter_fn | ( | const struct log_context * | ctx,
|  | struct log_target * | tar )

References log_context::ctx, log_target::filter_data, and log_target::filter_map.

## Variable Documentation

## DNS

int DNS

Referenced by gprs_ns_frgre_listen(), gprs_ns_msgb_alloc(), gprs_ns_nsip_listen(), gprs_ns_process_msg(), gprs_ns_rx_block(), gprs_ns_rx_reset(), gprs_ns_rx_reset_ack(), gprs_ns_rx_sns(), gprs_ns_rx_status(), gprs_ns_sendmsg(), gprs_ns_set_log_ss(), gprs_ns_timer_cb(), gprs_ns_tx(), gprs_ns_tx_alive(), gprs_ns_tx_alive_ack(), gprs_ns_tx_block(), gprs_ns_tx_block_ack(), gprs_ns_tx_reset(), gprs_ns_tx_reset_ack(), gprs_ns_tx_sns_ack(), gprs_ns_tx_sns_config(), gprs_ns_tx_sns_config_ack(), gprs_ns_tx_sns_size(), gprs_ns_tx_sns_size_ack(), gprs_ns_tx_status(), gprs_ns_tx_unblock(), gprs_ns_vc_create(), gprs_nsvc_create2(), gprs_nsvc_replace_if_found(), gprs_nsvc_reset(), gprs_sns_init(), handle_nsfrgre_read(), handle_rx_gre_ipv4(), ns_set_state_with_log(), nsvc_start_timer(), read_nsfrgre_msg(), and read_nsip_msg().